# Uses of Class
org.astrogrid.samp.ErrInfo

Packages that use ErrInfo
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.

## Uses of ErrInfo in org.astrogrid.samp

Methods in org.astrogrid.samp that return ErrInfo
Modifier and Type
Method
Description
`static ErrInfo`
ErrInfo.`asErrInfo(Map map)`
Returns a given map as an ErrInfo object.
`ErrInfo`
Response.`getErrInfo()`
Returns the error object.
Methods in org.astrogrid.samp with parameters of type ErrInfo
Modifier and Type
Method
Description
`static Response`
Response.`createErrorResponse(ErrInfo errinfo)`
Returns a new response which is an error.
Constructors in org.astrogrid.samp with parameters of type ErrInfo
Modifier
Constructor
Description
``
`Response(String status, Map result, ErrInfo errinfo)`
Constructs a response with given status, result and error.